
import { icons } from '../../utilities/icons';
import { render_template } from '../../utilities/mustache';
import type { NamedLocation } from '../../storage/named-location';
import type { WeatherAPIComCurrentWeather } from './interface';

export function render_current_weather(location: NamedLocation, weather: WeatherAPIComCurrentWeather) {
	const view = {
		location,
		weather,
		icons,
	};

	return render_template('weatherapi.com/current.html.mustache', view);
}
